Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Aaron Jensen <[email-masked]>
Date: Thu, 24 May 2018 03:53:54 -0700

>   > I do not know what the command is that is scrolling the child frame. It
>   > does not appear in view-lossage.

> And C-h k does not give any clue either?

Ah, C-h k does give a clue, thank you!

   <down-mouse-1> at that spot runs the command mouse-drag-region
   <mouse-1> at that spot runs the command mouse-set-point

The window selected in posn-set-point is the window in the child frame,
which is the window that scrolls (and that I do not want to scroll).

But, the thing doing the scrolling is 'mouse-drag-region', which calls
'mouse-drag-track', which calculates the bottom of the window incorrectly
if it does not have a mode-line.

The attached patch fixes this, which fixes my originally reported problem.
Given that it impacts a use of child-frames and it's relatively minor I'd
propose that it gets applied to emacs 26 (probably after 26.1 release?) if
it's acceptable.

Thanks,